# NAME

Trf_SeekQueryOptions - Interface to procedures to query an option container.

# SYNOPSIS

    #include <transform.h>

    void Trf_SeekQueryOptions
    (
    	Tcl_Interp *interp,
    	Trf_Options options,
    	Trf_SeekInformation *seekInfo,
    	ClientData clientData
    );

# PARAMETERS

Tcl_Interp *interp
  Interpreter to use for reflecting the query up into tcl, if necessary.
Trf_Options options
  Option container to query.
Trf_SeekInformation *seekInfo
  The policy to modify.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

The procedure is allowed to change the natural seek policy defined for the transformation according to the current configuration.

# RETURNS

Nothing.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs